<template lang="">
  <div class="cards">
    <template v-for="pokemon in pokemons[0]" :key="pokemon.id">
      <Card :pokemon="pokemon" @click="$emit('subPokemonClick', pokemon)" />
    </template>
  </div>
</template>

<script setup>
import Card from "./Card.vue";
const { pokemons } = defineProps(["pokemons"]);
</script>
<style lang="scss">
.cards {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
  margin-top: 50px;
}
</style>
